/*
* Copyright (c) 2002 - 2007 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  ?Description
*
*/



// [INCLUDE FILES]
#include <e32svr.h>
#include <stifparser.h>
#include <stiftestinterface.h>

#include "testsdksettingpages.h"
// ============================ MEMBER FUNCTIONS ===============================

// -----------------------------------------------------------------------------
// Ctestsdksettingpages::RunMethodL
// Run specified method. Contains also table of test mothods and their names.
// -----------------------------------------------------------------------------
//
TInt CTestSDKSettingPages::RunMethodL( CStifItemParser& aItem ) 
    {

    TStifFunctionInfo const KFunctions[] =
        {  
        // First string is the function name used in TestScripter script file.
        // Second is the actual implementation member function. 
        //AknCheckBoxSettingPage.h
        ENTRY( "TestSettingPagesCheckBoxCSelectableItemConstructorL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectableItemConstructorL ),
        ENTRY( "TestSettingPagesCheckBoxCSelectableItemConstructLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectableItemConstructLL ),
        ENTRY( "TestSettingPagesCheckBoxCSelectableItemSetSelectionStatusL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectableItemSetSelectionStatusL ),
        ENTRY( "TestSettingPagesCheckBoxCSelectableItemSelectionStatusL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectableItemSelectionStatusL ),
        ENTRY( "TestSettingPagesCheckBoxCSelectableItemItemTextL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectableItemItemTextL ),
        ENTRY( "TestSettingPagesCheckBoxCSelectionItemListConstructorL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectionItemListConstructorL ),
        ENTRY( "TestSettingPagesCheckBoxCSelectionItemListMdcaCountL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectionItemListMdcaCountL ),
        ENTRY( "TestSettingPagesCheckBoxCSelectionItemListMdcaPointL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxCSelectionItemListMdcaPointL ),
        
        ENTRY( "TestSettingpagesCheckBoxChkBoxSetPgConstructorL", 
            CTestSDKSettingPages::TestSettingpagesCheckBoxChkBoxSetPgConstructorL ),
        ENTRY( "TestSettingpagesCheckBoxChkBoxSetPgConstructorLL", 
            CTestSDKSettingPages::TestSettingpagesCheckBoxChkBoxSetPgConstructorLL ),
        ENTRY( "TestSettingpagesCheckBoxChkBoxSetPgConstructL", 
            CTestSDKSettingPages::TestSettingpagesCheckBoxChkBoxSetPgConstructL ),
        ENTRY( "TestSettingpagesCheckBoxChkBoxSetPgListBoxControlL", 
            CTestSDKSettingPages::TestSettingpagesCheckBoxChkBoxSetPgListBoxControlL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgSetSelectionItemArrayLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgSetSelectionItemArrayLL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgHandleListBoxEventLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgHandleListBoxEventLL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgHandlePointerEventLL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgHandleResourceChangeL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgHandleResourceChangeL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgDestructorL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgDestructorL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgUpdateSettingLL",
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgUpdateSettingLL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgDynamicInitLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgDynamicInitLL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgProcessCommandLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgProcessCommandLL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgSelectCurrentItemLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgSelectCurrentItemLL ),
        ENTRY( "TestSettingPagesCheckBoxChkBoxSetPgWriteInternalStateLL", 
            CTestSDKSettingPages::TestSettingPagesCheckBoxChkBoxSetPgWriteInternalStateLL ),
        
        //AknDesCArrayDecorator.h
        ENTRY( "TestSettingPagesArrayDecoratorConstructorL", 
            CTestSDKSettingPages::TestSettingPagesArrayDecoratorConstructorL ),
        ENTRY( "TestSettingPagesArrayDecoratorSetArrayL", 
            CTestSDKSettingPages::TestSettingPagesArrayDecoratorSetArrayL ),
        ENTRY( "TestSettingPagesArrayDecoratorSetDecorationTextL", 
            CTestSDKSettingPages::TestSettingPagesArrayDecoratorSetDecorationTextL ),
        ENTRY( "TestSettingPagesArrayDecoratorSetActiveL", 
            CTestSDKSettingPages::TestSettingPagesArrayDecoratorSetActiveL ),
        ENTRY( "TestSettingPagesArrayDecoratorDecoratedIndexL", 
            CTestSDKSettingPages::TestSettingPagesArrayDecoratorDecoratedIndexL ),
        ENTRY( "TestSettingPagesArrayDecoratorMdcaCountL", 
            CTestSDKSettingPages::TestSettingPagesArrayDecoratorMdcaCountL ),
        ENTRY( "TestSettingPagesArrayDecoratorMdcaPointL", 
            CTestSDKSettingPages::TestSettingPagesArrayDecoratorMdcaPointL ),
        
        //aknmfnesettingpage.h
            //CAknMfneSettingPage
        ENTRY( "TestSettingPagesMfneHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingPagesMfneHandlePointerEventLL ),
        ENTRY( "TestSettingPagesMfneDestructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneDestructorL ),
        ENTRY( "TestSettingPagesMfneConstructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneConstructorL ),
        ENTRY( "TestSettingPagesMfneConstructorLL", 
            CTestSDKSettingPages::TestSettingPagesMfneConstructorLL ),
        ENTRY( "TestSettingPagesMfneSizeChangedL", 
            CTestSDKSettingPages::TestSettingPagesMfneSizeChangedL ),
        ENTRY( "TestSettingPagesMfneDrawL", 
            CTestSDKSettingPages::TestSettingPagesMfneDrawL ),
        ENTRY( "TestSettingPagesMfneMfneL", 
            CTestSDKSettingPages::TestSettingPagesMfneMfneL ),
        ENTRY( "TestSettingPagesMfneCheckAndSetDataValidityL", 
            CTestSDKSettingPages::TestSettingPagesMfneCheckAndSetDataValidityL ),
        ENTRY( "TestSettingPagesMfneHandleControlEventLL", 
            CTestSDKSettingPages::TestSettingPagesMfneHandleControlEventLL ),
        ENTRY( "TestSettingPagesMfneConstructLL", 
            CTestSDKSettingPages::TestSettingPagesMfneConstructLL ),
        ENTRY( "TestSettingPagesMfneCountComponentControlsL", 
            CTestSDKSettingPages::TestSettingPagesMfneCountComponentControlsL ),
        ENTRY( "TestSettingPagesMfneComponentControlL", 
            CTestSDKSettingPages::TestSettingPagesMfneComponentControlL ),
        
            //CAknDateSettingPage
        ENTRY( "TestSettingPagesMfneDateConstructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateConstructorL ),
        ENTRY( "TestSettingPagesMfneDateConstructorLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateConstructorLL ),
        ENTRY( "TestSettingPagesMfneDateConstructLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateConstructLL ),
        ENTRY( "TestSettingPagesMfneDateEditorL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateEditorL ),
        ENTRY( "TestSettingPagesMfneDateHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateHandlePointerEventLL ),
        ENTRY( "TestSettingPagesMfneDateDestructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateDestructorL ),
        ENTRY( "TestSettingPagesMfneDateUpdateSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateUpdateSettingLL ),
        ENTRY( "TestSettingPagesMfneDateAcceptSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateAcceptSettingLL ),
        ENTRY( "TestSettingPagesMfneDateRestoreOriginalSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesMfneDateWriteInternalStateLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDateWriteInternalStateLL ),
        
            //CAknTimeSettingPage
        ENTRY( "TestSettingPagesMfneTimeConstructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeConstructorL ),
        ENTRY( "TestSettingPagesMfneTimeConstructorLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeConstructorLL ),
        ENTRY( "TestSettingPagesMfneTimeConstructLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeConstructLL ),
        ENTRY( "TestSettingPagesMfneTimeEditorL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeEditorL ),
        ENTRY( "TestSettingPagesMfneTimeHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeHandlePointerEventLL ),
        ENTRY( "TestSettingPagesMfneTimeDestructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeDestructorL ),
        ENTRY( "TestSettingPagesMfneTimeUpdateSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeUpdateSettingLL ),
        ENTRY( "TestSettingPagesMfneTimeAcceptSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeAcceptSettingLL ),
        ENTRY( "TestSettingPagesMfneTimeRestoreOriginalSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesMfneTimeWriteInternalStateLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeWriteInternalStateLL ),
        
            //CAknDurationSettingPage
        ENTRY( "TestSettingPagesMfneDurationConstructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationConstructorL ),
        ENTRY( "TestSettingPagesMfneDurationConstructorLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationConstructorLL ),
        ENTRY( "TestSettingPagesMfneDurationConstructLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationConstructLL ),
        ENTRY( "TestSettingPagesMfneDurationDurationEditorL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationDurationEditorL ),
        ENTRY( "TestSettingPagesMfneDurationHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationHandlePointerEventLL ),
        ENTRY( "TestSettingPagesMfneDurationDestructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationDestructorL ),
        ENTRY( "TestSettingPagesMfneDurationUpdateSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationUpdateSettingLL ),
        ENTRY( "TestSettingPagesMfneDurationAcceptSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationAcceptSettingLL ),
        ENTRY( "TestSettingPagesMfneDurationRestoreOriginalSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesMfneDurationWriteInternalStateLL", 
            CTestSDKSettingPages::TestSettingPagesMfneDurationWriteInternalStateLL ),
        
            //CAknTimeOffsetSettingPage
        ENTRY( "TestSettingPagesMfneTimeOffSetConstructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetConstructorL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetConstructorLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetConstructorLL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetConstructLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetConstructLL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetTimeOffsetEditorL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetTimeOffsetEditorL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetHandlePointerEventLL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetDestructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetDestructorL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetUpdateSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetUpdateSettingLL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetAcceptSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetAcceptSettingLL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetRestoreOriginalSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesMfneTimeOffSetWriteInternalStateLL", 
            CTestSDKSettingPages::TestSettingPagesMfneTimeOffSetWriteInternalStateLL ),
        
            //CAknIpFieldSettingPage
        ENTRY( "TestSettingPagesMfneIpFieldConstructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldConstructorL ),
        ENTRY( "TestSettingPagesMfneIpFieldConstructorLL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldConstructorLL ),
        ENTRY( "TestSettingPagesMfneIpFieldConstructLL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldConstructLL ),
        ENTRY( "TestSettingPagesMfneIpFieldTimeOffsetEditorL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldTimeOffsetEditorL ),
        ENTRY( "TestSettingPagesMfneIpFieldHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldHandlePointerEventLL ),
        ENTRY( "TestSettingPagesMfneIpFieldDestructorL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldDestructorL ),
        ENTRY( "TestSettingPagesMfneIpFieldUpdateSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldUpdateSettingLL ),
        ENTRY( "TestSettingPagesMfneIpFieldAcceptSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldAcceptSettingLL ),
        ENTRY( "TestSettingPagesMfneIpFieldRestoreOriginalSettingLL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesMfneIpFieldWriteInternalStateLL", 
            CTestSDKSettingPages::TestSettingPagesMfneIpFieldWriteInternalStateLL ),

        //aknpasswordsettingpage.h
        ENTRY( "TestSettingPagesPasswordConstructorL", 
            CTestSDKSettingPages::TestSettingPagesPasswordConstructorL ),
        ENTRY( "TestSettingPagesPasswordConstructorLL", 
            CTestSDKSettingPages::TestSettingPagesPasswordConstructorLL ),
        ENTRY( "TestSettingpagesPasswordSetOldPasswordConfirmationResourceIdL", 
            CTestSDKSettingPages::TestSettingpagesPasswordSetOldPasswordConfirmationResourceIdL ),
        ENTRY( "TestSettingpagesPasswordSetNewPasswordConfirmationResourceIdL", 
            CTestSDKSettingPages::TestSettingpagesPasswordSetNewPasswordConfirmationResourceIdL ),
        ENTRY( "TestSettingpagesPasswordSetMatchingModeL", 
            CTestSDKSettingPages::TestSettingpagesPasswordSetMatchingModeL ),
        ENTRY( "TestSettingpagesPasswordMatchingModeL", 
            CTestSDKSettingPages::TestSettingpagesPasswordMatchingModeL ),
        ENTRY( "TestSettingpagesPasswordSetMaxPasswordLengthL", 
            CTestSDKSettingPages::TestSettingpagesPasswordSetMaxPasswordLengthL ),
        ENTRY( "TestSettingpagesPasswordMaxPasswordLengthL", 
            CTestSDKSettingPages::TestSettingpagesPasswordMaxPasswordLengthL ),
        ENTRY( "TestSettingpagesPasswordHandlePointerEventLL", 
            CTestSDKSettingPages::TestSettingpagesPasswordHandlePointerEventLL ),
        ENTRY( "TestSettingpagesPasswordUpdateSettingLL",
            CTestSDKSettingPages::TestSettingpagesPasswordUpdateSettingLL ),
        ENTRY( "TestSettingpagesPasswordAcceptSettingLL", 
            CTestSDKSettingPages::TestSettingpagesPasswordAcceptSettingLL ),
        ENTRY( "TestSettingpagesPasswordHandleControlEventLL", 
            CTestSDKSettingPages::TestSettingpagesPasswordHandleControlEventLL ),
        ENTRY( "TestSettingpagesPasswordPostDisplayInitLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordPostDisplayInitLL ),
        ENTRY( "TestSettingpagesPasswordPostDisplayCheckLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordPostDisplayCheckLL ),
        ENTRY( "TestSettingpagesPasswordOkToExitLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordOkToExitLL ),
        ENTRY( "TestSettingpagesPasswordSizeChangedL",  
            CTestSDKSettingPages::TestSettingpagesPasswordSizeChangedL ),
        ENTRY( "TestSettingpagesPasswordDrawL",  
            CTestSDKSettingPages::TestSettingpagesPasswordDrawL ),
        ENTRY( "TestSettingpagesPasswordUpdateTextLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordUpdateTextLL ),
        ENTRY( "TestSettingpagesPasswordExecuteOldPasswordConfirmationLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordExecuteOldPasswordConfirmationLL ),
        ENTRY( "TestSettingpagesPasswordExecuteNewPasswordConfirmationLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordExecuteNewPasswordConfirmationLL ),
        ENTRY( "TestSettingpagesPasswordComparePasswordsL",  
            CTestSDKSettingPages::TestSettingpagesPasswordComparePasswordsL ),
        ENTRY( "TestSettingpagesPasswordOldPasswordConfirmationResourceIdL",  
            CTestSDKSettingPages::TestSettingpagesPasswordOldPasswordConfirmationResourceIdL ),
        ENTRY( "TestSettingpagesPasswordNewPasswordConfirmationResourceIdL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNewPasswordConfirmationResourceIdL ),
        ENTRY( "TestSettingpagesPasswordReadConfirmationResourceLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordReadConfirmationResourceLL ),
        ENTRY( "TestSettingpagesPasswordDoPasswordConfirmationLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordDoPasswordConfirmationLL ),
        ENTRY( "TestSettingpagesPasswordNewPasswordL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNewPasswordL ),
        ENTRY( "TestSettingpagesPasswordOldPasswordL",  
            CTestSDKSettingPages::TestSettingpagesPasswordOldPasswordL ),
        ENTRY( "TestSettingpagesPasswordWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordWriteInternalStateLL ),
        
            //CAknAlphaPasswordSettingPage
        ENTRY( "TestSettingpagesPasswordAlphaConstructorL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaConstructorL ),
        ENTRY( "TestSettingpagesPasswordAlphaConstructorLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaConstructorLL ),
        ENTRY( "TestSettingpagesPasswordAlphaConstructLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaConstructLL ),
        ENTRY( "TestSettingpagesPasswordAlphaAlphaPasswordEditorL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaAlphaPasswordEditorL ),
        ENTRY( "TestSettingpagesPasswordAlphaHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaHandlePointerEventLL ),
        ENTRY( "TestSettingpagesPasswordAlphaDestructorL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaDestructorL ),
        ENTRY( "TestSettingpagesPasswordAlphaUpdateTextLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaUpdateTextLL ),
        ENTRY( "TestSettingpagesPasswordAlphaComparePasswordsL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaComparePasswordsL ),
        ENTRY( "TestSettingpagesPasswordAlphaWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordAlphaWriteInternalStateLL ),
            //CAknNumericPasswordSettingPage
        ENTRY( "TestSettingpagesPasswordNumericConstructorL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericConstructorL ),
        ENTRY( "TestSettingpagesPasswordNumericConstructorLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericConstructorLL ),
        ENTRY( "TestSettingpagesPasswordNumericConstructLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericConstructLL ),
        ENTRY( "TestSettingpagesPasswordNumericNumericPasswordEditorL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericNumericPasswordEditorL ),
        ENTRY( "TestSettingpagesPasswordNumericHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericHandlePointerEventLL ),
        ENTRY( "TestSettingpagesPasswordNumericDestructorL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericDestructorL ),
        ENTRY( "TestSettingpagesPasswordNumericUpdateTextLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericUpdateTextLL ),
        ENTRY( "TestSettingpagesPasswordNumericWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingpagesPasswordNumericWriteInternalStateLL ),

        //aknradiobuttonsettingpage.h
        ENTRY( "TestSettingpagesRadioButtonConstructorL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonConstructorL ),
        ENTRY( "TestSettingpagesRadioButtonConstructorLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonConstructorLL ),
        ENTRY( "TestSettingpagesRadioButtonConstructL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonConstructL ),
        ENTRY( "TestSettingpagesRadioButtonListBoxControlL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonListBoxControlL ),
        ENTRY( "TestSettingpagesRadioButtonHandleListBoxEventLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonHandleListBoxEventLL ),
        ENTRY( "TestSettingpagesRadioButtonSetItemArrayAndSelectionLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonSetItemArrayAndSelectionLL ),
        ENTRY( "TestSettingpagesRadioButtonHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonHandlePointerEventLL ),
        ENTRY( "TestSettingpagesRadioButtonHandleResourceChangeL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonHandleResourceChangeL ),
        ENTRY( "TestSettingpagesRadioButtonDestructorL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonDestructorL ),
        ENTRY( "TestSettingpagesRadioButtonUpdateSettingLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonUpdateSettingLL ),
        ENTRY( "TestSettingpagesRadioButtonDynamicInitLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonDynamicInitLL ),
        ENTRY( "TestSettingpagesRadioButtonSelectCurrentItemLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonSelectCurrentItemLL ),
        ENTRY( "TestSettingpagesRadioButtonWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonWriteInternalStateLL ),          
        ENTRY( "TestSettingpagesRadioButtonProcessCommandLL",  
            CTestSDKSettingPages::TestSettingpagesRadioButtonProcessCommandLL ),         
                        
        //aknsettingitemlist.h
            //CAknSettingItem
        ENTRY( "TestSettingPagesItemListConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListConstructorL ),
        ENTRY( "TestSettingPagesItemListDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListDestructorL ),
        ENTRY( "TestSettingPagesItemListConstructL",  
            CTestSDKSettingPages::TestSettingPagesItemListConstructL ),
        ENTRY( "TestSettingPagesItemListStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListStoreLL ),
        ENTRY( "TestSettingPagesItemListLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListLoadLL ),
        ENTRY( "TestSettingPagesItemListEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEditItemLL ),
        ENTRY( "TestSettingPagesItemListUpdateListBoxTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListUpdateListBoxTextLL ),
        ENTRY( "TestSettingPagesItemListSettingNameL",  
            CTestSDKSettingPages::TestSettingPagesItemListSettingNameL ),
        ENTRY( "TestSettingPagesItemListSettingNumberL",  
            CTestSDKSettingPages::TestSettingPagesItemListSettingNumberL ),
        ENTRY( "TestSettingPagesItemListIsHiddenL",  
            CTestSDKSettingPages::TestSettingPagesItemListIsHiddenL ),
        ENTRY( "TestSettingPagesItemListIsNumberedStyleL",  
            CTestSDKSettingPages::TestSettingPagesItemListIsNumberedStyleL ),
        ENTRY( "TestSettingPagesItemListSetHiddenL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetHiddenL ),
        ENTRY( "TestSettingPagesItemListSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSettingTextLL ),
        ENTRY( "TestSettingPagesItemListListBoxTextL",  
            CTestSDKSettingPages::TestSettingPagesItemListListBoxTextL ),
        ENTRY( "TestSettingPagesItemListIdentifierL",  
            CTestSDKSettingPages::TestSettingPagesItemListIdentifierL ),
        ENTRY( "TestSettingPagesItemListHasIconL",  
            CTestSDKSettingPages::TestSettingPagesItemListHasIconL ),
        ENTRY( "TestSettingPagesItemListSetEmptyItemTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetEmptyItemTextLL ),
        ENTRY( "TestSettingPagesItemListSetCompulsoryIndTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetCompulsoryIndTextLL ),
        ENTRY( "TestSettingPagesItemListHandleSettingPageEventLL",  
            CTestSDKSettingPages::TestSettingPagesItemListHandleSettingPageEventLL ),
        ENTRY( "TestSettingPagesItemListVisibleIndexL",  
            CTestSDKSettingPages::TestSettingPagesItemListVisibleIndexL ),
        ENTRY( "TestSettingPagesItemListSetSettingPageFlagsL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetSettingPageFlagsL ),
        ENTRY( "TestSettingPagesItemListSettingPageFlagsL",  
            CTestSDKSettingPages::TestSettingPagesItemListSettingPageFlagsL ),
        ENTRY( "TestSettingPagesItemListSetProtectionStateL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetProtectionStateL ),
        ENTRY( "TestSettingPagesItemListProtectionStateL",  
            CTestSDKSettingPages::TestSettingPagesItemListProtectionStateL ),
        ENTRY( "TestSettingPagesItemListCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListCompleteConstructionLL ),
        ENTRY( "TestSettingPagesItemListCreateBitmapLL",  
            CTestSDKSettingPages::TestSettingPagesItemListCreateBitmapLL ),
        ENTRY( "TestSettingPagesItemListSetSettingPageL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetSettingPageL ),
        ENTRY( "TestSettingPagesItemListSettingPageL",  
            CTestSDKSettingPages::TestSettingPagesItemListSettingPageL ),
        ENTRY( "TestSettingPagesItemListSetUpStandardSettingPageLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetUpStandardSettingPageLL ),
        ENTRY( "TestSettingPagesItemListEmptyItemTextL",  
            CTestSDKSettingPages::TestSettingPagesItemListEmptyItemTextL ),
        ENTRY( "TestSettingPagesItemListSettingPageResourceIdL",  
            CTestSDKSettingPages::TestSettingPagesItemListSettingPageResourceIdL ),
        ENTRY( "TestSettingPagesItemListSettingEditorResourceIdL",  
            CTestSDKSettingPages::TestSettingPagesItemListSettingEditorResourceIdL ),
        ENTRY( "TestSettingPagesItemListAssociatedResourceIdL",  
            CTestSDKSettingPages::TestSettingPagesItemListAssociatedResourceIdL ),
        ENTRY( "TestSettingPagesItemListSetIconMaskL",  
            CTestSDKSettingPages::TestSettingPagesItemListSetIconMaskL ),
            //CAknTextSettingItem
        ENTRY( "TestSettingPagesItemListTextSetItemConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemConstructorL ),
        ENTRY( "TestSettingPagesItemListTextSetItemDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemDestructorL ),
        ENTRY( "TestSettingPagesItemListTextSetItemStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemStoreLL ),
        ENTRY( "TestSettingPagesItemListTextSetItemLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemLoadLL ),
        ENTRY( "TestSettingPagesItemListTextSetItemSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemSettingTextLL ),
        ENTRY( "TestSettingPagesItemListTextSetItemEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemEditItemLL ),
        ENTRY( "TestSettingPagesItemListTextSetItemInternalTextPtrL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemInternalTextPtrL ),
        ENTRY( "TestSettingPagesItemListTextSetItemExternalTextL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemExternalTextL ),
        ENTRY( "TestSettingPagesItemListTextSetItemSetExternalTextL",  
            CTestSDKSettingPages::TestSettingPagesItemListTextSetItemSetExternalTextL ),
            //CAknIntegerSettingItem
        ENTRY( "TestSettingPagesItemListIntegerSetItemConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemConstructorL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemDestructorL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemStoreLL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemLoadLL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemSettingTextLL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemCompleteConstructionLL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemInternalValueRefL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemInternalValueRefL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemExternalValueRefL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemExternalValueRefL ),
        ENTRY( "TestSettingPagesItemListIntegerSetItemSetExternalValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerSetItemSetExternalValueL ),
        ENTRY( "TestSettingPagesItemListIntegerEdwinConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerEdwinConstructorL ),
        ENTRY( "TestSettingPagesItemListIntegerEdwinEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIntegerEdwinEditItemLL ),
            //CAknPasswordSettingItem
        ENTRY( "TestSettingPagesItemListPasswordConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListPasswordConstructorL ),
        ENTRY( "TestSettingPagesItemListPasswordSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListPasswordSettingTextLL ),
        ENTRY( "TestSettingPagesItemListPasswordEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListPasswordEditItemLL ),
        ENTRY( "TestSettingPagesItemListPasswordCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListPasswordCompleteConstructionLL ),
            //CAknVolumeSettingItem
        ENTRY( "TestSettingPagesItemListVolumeConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListVolumeConstructorL ),
        ENTRY( "TestSettingPagesItemListVolumeStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListVolumeStoreLL ),
        ENTRY( "TestSettingPagesItemListVolumeLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListVolumeLoadLL ),
        ENTRY( "TestSettingPagesItemListVolumeSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListVolumeSettingTextLL ),
        ENTRY( "TestSettingPagesItemListVolumeEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListVolumeEditItemLL ),
        ENTRY( "TestSettingPagesItemListVolumeInternalVolumeValueL",   
            CTestSDKSettingPages::TestSettingPagesItemListVolumeInternalVolumeValueL ),
        ENTRY( "TestSettingPagesItemListVolumeCreateBitmapLL",  
            CTestSDKSettingPages::TestSettingPagesItemListVolumeCreateBitmapLL ),
            //CAknSliderSettingItem
        ENTRY( "TestSettingpaegsItemListSliderConstructL",  
            CTestSDKSettingPages::TestSettingpaegsItemListSliderConstructL ),
        ENTRY( "TestSettingPagesItemListSliderStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderStoreLL ),
        ENTRY( "TestSettingPagesItemListSliderLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderLoadLL ),
        ENTRY( "TestSettingPagesItemListSliderSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderSettingTextLL ),
        ENTRY( "TestSettingPagesItemListSliderEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderEditItemLL ),
        ENTRY( "TestSettingPagesItemListSliderCreateSettingPageLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderCreateSettingPageLL ),
        ENTRY( "TestSettingPagesItemListSliderCreateAndExecuteSettingPageLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderCreateAndExecuteSettingPageLL ),
        ENTRY( "TestSettingPagesItemListSliderInternalSliderValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderInternalSliderValueL ),
        ENTRY( "TestSettingPagesItemListSliderCreateBitmapLL",  
            CTestSDKSettingPages::TestSettingPagesItemListSliderCreateBitmapLL ),
        
            //CAknTimeOrDateSettingItem
        ENTRY( "TestSettingPagesItemListTimeOrDateConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateConstructorL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateDestructorL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateCompleteConstructionLL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateStoreLL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateLoadLL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateSettingTextLL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateEditItemLL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateSetTimeFormatStringLL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateSetTimeFormatStringLL ),
        ENTRY( "TestSettingPagesItemListTimeOrDateTimeFormatStringL",  
            CTestSDKSettingPages::TestSettingPagesItemListTimeOrDateTimeFormatStringL ),
        
        //CAknTimeOffSetSettingItem
        ENTRY( "TestSettingPagesItemListOffSetConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetConstructorL ),
        ENTRY( "TestSettingPagesItemListOffSetDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetDestructorL ),
        ENTRY( "TestSettingPagesItemListOffSetCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetCompleteConstructionLL ),
        ENTRY( "TestSettingPagesItemListOffSetStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetStoreLL ),
        ENTRY( "TestSettingPagesItemListOffSetLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetLoadLL ),
        ENTRY( "TestSettingPagesItemListOffSetSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetSettingTextLL ),
        ENTRY( "TestSettingPagesItemListOffSetEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetEditItemLL ),
        ENTRY( "TestSettingPagesItemListOffSetSetTimeFormatStringLL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetSetTimeFormatStringLL ),
        ENTRY( "TestSettingPagesItemListOffSetTimeFormatStringL",  
            CTestSDKSettingPages::TestSettingPagesItemListOffSetTimeFormatStringL ),
        
            //CAknIpFieldSettingItem
        ENTRY( "TestSettingPagesItemListIpFieldConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListIpFieldConstructorL ),
        ENTRY( "TestSettingPagesItemListIpFieldDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListIpFieldDestructorL ),
        ENTRY( "TestSettingPagesItemListIpFieldCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIpFieldCompleteConstructionLL ),
        ENTRY( "TestSettingPagesItemListIpFieldStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIpFieldStoreLL ),
        ENTRY( "TestSettingPagesItemListIpFieldLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIpFieldLoadLL ),
        ENTRY( "TestSettingPagesItemListIpFieldSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIpFieldSettingTextLL ),
        ENTRY( "TestSettingPagesItemListIpFieldEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListIpFieldEditItemLL ),
        
            //CAknEnumeratedItemBase
        ENTRY( "TestSettingPagesItemListEnumeratedIBConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnumeratedIBConstructorL ),
        ENTRY( "TestSettingPagesItemListEnumeratedIBDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnumeratedIBDestructorL ),
        ENTRY( "TestSettingPagesItemListEnumeratedIBEnumerationValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnumeratedIBEnumerationValueL ),
        ENTRY( "TestSettingPagesItemListEnumeratedIBSetEnumerationValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnumeratedIBSetEnumerationValueL ),
        ENTRY( "TestSettingPagesItemListEnumeratedIBValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnumeratedIBValueL ),
        ENTRY( "TestSettingPagesItemListEnumeratedIBSetValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnumeratedIBSetValueL ),
        
            //CAknEnumeratedItem
        ENTRY( "TestSettingPagesItemListEMTDItemConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEMTDItemConstructorL ),
        ENTRY( "TestSettingPagesItemListEMTDItemDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEMTDItemDestructorL ),
        ENTRY( "TestSettingPagesItemListEMTDItemValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEMTDItemValueL ),
        ENTRY( "TestSettingPagesItemListEMTDItemSetValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEMTDItemSetValueL ),
        
            //CAknEnumeratedTextSettingItem
        ENTRY( "TestSettingPagesItemListEnuredTxtConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtConstructorL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtDestructorL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtCompleteConstructionLL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtEnuredTxtArrayL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtEnuredTxtArrayL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtPoppedUpTextArrayL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtPoppedUpTextArrayL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtSetEnuredTxtArraysL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtSetEnuredTxtArraysL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtHandleTextArrayUpdateLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtHandleTextArrayUpdateLL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtNumberOfItemsL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtNumberOfItemsL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtIndexFromValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtIndexFromValueL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtSetSettingPageTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtSetSettingPageTextLL ),
        ENTRY( "TestSettingPagesItemListEnuredTxtSettingPageTextArrayL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnuredTxtSettingPageTextArrayL ),
        
            //CAknEnumeratedTextPopupSettingItem
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopConstructorL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopDestructorL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopStoreLL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopLoadLL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopSettingTextLL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopEditItemLL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopEnumeratedTextArrayL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopEnumeratedTextArrayL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopPoppedUpTextArrayL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopPoppedUpTextArrayL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopCreateSettingPageLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopCreateSettingPageLL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopCreateAndExecuteSettingPageLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopCreateAndExecuteSettingPageLL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopCompleteConstructionLL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopSetExternalValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopSetExternalValueL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopSetInternalValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopSetInternalValueL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopSetSelectedIndexL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopSetSelectedIndexL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopIndexFromValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopIndexFromValueL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopExternalValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopExternalValueL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopInternalValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopInternalValueL ),
        ENTRY( "TestSettingPagesItemListEnurtdTxtPopQueryValueL",  
            CTestSDKSettingPages::TestSettingPagesItemListEnurtdTxtPopQueryValueL ),
        
            //CAknBinaryPopupSettingItem
        ENTRY( "TestSettingPagesItemListBinaryPopConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListBinaryPopConstructorL ),
        ENTRY( "TestSettingPagesItemListBinaryPopStoreLL",  
            CTestSDKSettingPages::TestSettingPagesItemListBinaryPopStoreLL ),
        ENTRY( "TestSettingPagesItemListBinaryPopLoadLL",  
            CTestSDKSettingPages::TestSettingPagesItemListBinaryPopLoadLL ),
        ENTRY( "TestSettingPagesItemListBinaryPopEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListBinaryPopEditItemLL ),
        ENTRY( "TestSettingPagesItemListBinaryPopCompleteConstructionLL",  
            CTestSDKSettingPages::TestSettingPagesItemListBinaryPopCompleteConstructionLL ),
        
            //CAknBigSettingItemBase
        ENTRY( "TestSettingPagesItemListBigSIBConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListBigSIBConstructorL ),
        ENTRY( "TestSettingPagesItemListBigSIBSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesItemListBigSIBSettingTextLL ),
        
            //CAknSettingItemArray
        ENTRY( "TestSettingPagesItemListItemArrayConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArrayConstructorL ),
        ENTRY( "TestSettingPagesItemListItemArrayDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArrayDestructorL ),
        ENTRY( "TestSettingPagesItemListItemArrayMdcaCountL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArrayMdcaCountL ),
        ENTRY( "TestSettingPagesItemListItemArrayMdcaPointL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArrayMdcaPointL ),
        ENTRY( "TestSettingPagesItemListItemArrayItemIndexFromVisibleIndexL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArrayItemIndexFromVisibleIndexL ),
        ENTRY( "TestSettingPagesItemListItemArrayRecalculateVisibleIndicesLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArrayRecalculateVisibleIndicesLL ),
        ENTRY( "TestSettingPagesItemListItemArraySetInitialOrdinalL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArraySetInitialOrdinalL ),
        ENTRY( "TestSettingPagesItemListItemArraySetFlagsL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArraySetFlagsL ),
        ENTRY( "TestSettingPagesItemListItemArraySetVisibleCountL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArraySetVisibleCountL ),
        ENTRY( "TestSettingPagesItemListItemArrayVisibleCountL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemArrayVisibleCountL ),
        
            //CAknSettingItemList
        ENTRY( "TestSettingPagesItemListItemListConstructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListConstructorL ),
        ENTRY( "TestSettingPagesItemListItemListDestructorL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListDestructorL ),
        ENTRY( "TestSettingPagesItemListItemListConstructFromResourceLIdL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListConstructFromResourceLIdL ),
        ENTRY( "TestSettingPagesItemListItemListConstructFromResourceLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListConstructFromResourceLL ),
        ENTRY( "TestSettingPagesItemListItemListCountComponentControlsL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListCountComponentControlsL ),
        ENTRY( "TestSettingPagesItemListItemListComponentControlL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListComponentControlL ),
        ENTRY( "TestSettingPagesItemListItemListOfferKeyEventLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListOfferKeyEventLL ),
        ENTRY( "TestSettingPagesItemListItemListFocusChangedL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListFocusChangedL ),
        ENTRY( "TestSettingPagesItemListItemListHandleResourceChangeL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListHandleResourceChangeL ),
        ENTRY( "TestSettingPagesItemListItemListHandleListBoxEventLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListHandleListBoxEventLL ),
        ENTRY( "TestSettingPagesItemListItemListEditItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListEditItemLL ),
        ENTRY( "TestSettingPagesItemListItemListLoadSettingsLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListLoadSettingsLL ),
        ENTRY( "TestSettingPagesItemListItemListStoreSettingsLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListStoreSettingsLL ),
        ENTRY( "TestSettingPagesItemListItemListSetIncludeHiddenInOrdinalL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListSetIncludeHiddenInOrdinalL ),
        ENTRY( "TestSettingPagesItemListItemListIsNumberedStyleL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListIsNumberedStyleL ),
        ENTRY( "TestSettingPagesItemListItemListListBoxL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListListBoxL ),
        ENTRY( "TestSettingPagesItemListItemListSettingItemArrayL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListSettingItemArrayL ),
        ENTRY( "TestSettingPagesItemListItemListHandleChangeInItemArrayOrVisibilityLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListHandleChangeInItemArrayOrVisibilityLL ),
        ENTRY( "TestSettingPagesItemListItemListHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListHandlePointerEventLL ),
        ENTRY( "TestSettingPagesItemListItemListCreateSettingItemLL",  
            CTestSDKSettingPages::TestSettingPagesItemListItemListCreateSettingItemLL ),

        //aknsettingpage.h
        ENTRY( "TestSettingPagesSetPageConstructorL",  
            CTestSDKSettingPages::TestSettingPagesSetPageConstructorL ),
        ENTRY( "TestSettingPagesSetPageConstructorLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageConstructorLL ),
        ENTRY( "TestSettingPagesSetPageDestructorL",  
            CTestSDKSettingPages::TestSettingPagesSetPageDestructorL ),
        ENTRY( "TestSettingPagesSetPageExecuteLDL",  
            CTestSDKSettingPages::TestSettingPagesSetPageExecuteLDL ),
        ENTRY( "TestSettingPagesSetPageConstructL",  
            CTestSDKSettingPages::TestSettingPagesSetPageConstructL ),
        ENTRY( "TestSettingPagesSetPageEditorControlL",  
            CTestSDKSettingPages::TestSettingPagesSetPageEditorControlL ),
        ENTRY( "TestSettingPagesSetPageSettingIdL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSettingIdL ),
        ENTRY( "TestSettingPagesSetPageSetSettingIdL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetSettingIdL ),
        ENTRY( "TestSettingPagesSetPageSetSettingNumberLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetSettingNumberLL ),
        ENTRY( "TestSettingPagesSetPageSetSettingTextLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetSettingTextLL ),
        ENTRY( "TestSettingPagesSetPageSetSettingPageObserverL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetSettingPageObserverL ),
        ENTRY( "TestSettingPagesSetPageSettingNumberL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSettingNumberL ),
        ENTRY( "TestSettingPagesSetPageIsNumberedL",  
            CTestSDKSettingPages::TestSettingPagesSetPageIsNumberedL ),
        ENTRY( "TestSettingPagesSetPageSetNumberedL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetNumberedL ),
        ENTRY( "TestSettingPagesSetPageGetEditorResourceInfoLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageGetEditorResourceInfoLL ),
        ENTRY( "TestSettingPagesSetPageSetEditStateL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetEditStateL ),
        ENTRY( "TestSettingPagesSetPageIsEditableL",  
            CTestSDKSettingPages::TestSettingPagesSetPageIsEditableL ), 
        ENTRY( "TestSettingPagesSetPageSizeChangedL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSizeChangedL ),
        ENTRY( "TestSettingPagesSetPageFocusChangedL",  
            CTestSDKSettingPages::TestSettingPagesSetPageFocusChangedL ),
        ENTRY( "TestSettingPagesSetPageProcessCommandLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageProcessCommandLL ),
        ENTRY( "TestSettingPagesSetPageHandleControlEventLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageHandleControlEventLL ),
        ENTRY( "TestSettingPagesSetpageOkToExitLL",  
            CTestSDKSettingPages::TestSettingPagesSetpageOkToExitLL ),
        ENTRY( "TestSettingPagesSetPageDynamicInitLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageDynamicInitLL ),
        ENTRY( "TestSettingPagesSetPageUpdateSettingLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageUpdateSettingLL ),
        ENTRY( "TestSettingPagesSetPageAcceptSettingLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageAcceptSettingLL ),
        ENTRY( "TestSettingPagesSetPageRestoreOriginalSettingLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesSetPageDisplayMenuLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageDisplayMenuLL ),
        ENTRY( "TestSettingPagesSetPageHideMenuL",  
            CTestSDKSettingPages::TestSettingPagesSetPageHideMenuL ),
        ENTRY( "TestSettingPagesSetPageSelectCurrentItemLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSelectCurrentItemLL ),
        ENTRY( "TestSettingPagesSetPageBaseConstructLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageBaseConstructLL ),
        ENTRY( "TestSettingPagesSetPageDismissLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageDismissLL ),
        ENTRY( "TestSettingPagesSetPageMenuShowingL",  
            CTestSDKSettingPages::TestSettingPagesSetPageMenuShowingL ),
        ENTRY( "TestSettingPagesSetPageConstructFromResourceLIdL",  
            CTestSDKSettingPages::TestSettingPagesSetPageConstructFromResourceLIdL ),
        ENTRY( "TestSettingPagesSetPageConstructFromResourceLReaderL",  
            CTestSDKSettingPages::TestSettingPagesSetPageConstructFromResourceLReaderL ),
        ENTRY( "TestSettingPagesSetpageAttemptExitLL",  
            CTestSDKSettingPages::TestSettingPagesSetpageAttemptExitLL ),
        ENTRY( "TestSettingPagesSetPageWaitingL",  
            CTestSDKSettingPages::TestSettingPagesSetPageWaitingL ),
        ENTRY( "TestSettingPagesSetPageCbaL",  
            CTestSDKSettingPages::TestSettingPagesSetPageCbaL ),
        ENTRY( "TestSettingPagesSetPageDefaultCbaResourceIdL",  
            CTestSDKSettingPages::TestSettingPagesSetPageDefaultCbaResourceIdL ),
        ENTRY( "TestSettingPagesSetPageOfferKeyEventLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageOfferKeyEventLL ),
        ENTRY( "TestSettingPagesSetPageStandardSettingPageLayoutL",  
            CTestSDKSettingPages::TestSettingPagesSetPageStandardSettingPageLayoutL ),
        ENTRY( "TestSettingPagesSetPageIsBaseConstructedL",  
            CTestSDKSettingPages::TestSettingPagesSetPageIsBaseConstructedL ),
        ENTRY( "TestSettingPagesSetPageSettingPageResourceIdL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSettingPageResourceIdL ),
        ENTRY( "TestSettingPagesSetPageBaseDrawL",  
            CTestSDKSettingPages::TestSettingPagesSetPageBaseDrawL ),
        ENTRY( "TestSettingPagesSetPageResetFlagsL",  
            CTestSDKSettingPages::TestSettingPagesSetPageResetFlagsL ),
        ENTRY( "TestSettingPagesSetPagePostDisplayCheckLL",  
            CTestSDKSettingPages::TestSettingPagesSetPagePostDisplayCheckLL ),
        ENTRY( "TestSettingPagesSetPageUpdateCbaLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageUpdateCbaLL ),
        ENTRY( "TestSettingPagesSetPageDataValidityL",  
            CTestSDKSettingPages::TestSettingPagesSetPageDataValidityL ),
        ENTRY( "TestSettingPagesSetPageSetDataValidityL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetDataValidityL ),
        ENTRY( "TestSettingPagesSetPageCheckAndSetDataValidityL",  
            CTestSDKSettingPages::TestSettingPagesSetPageCheckAndSetDataValidityL ),
        ENTRY( "TestSettingPagesSetPageSetEmphasisL",  
            CTestSDKSettingPages::TestSettingPagesSetPageSetEmphasisL ),
        ENTRY( "TestSettingPagesSetPageDynInitMenuPaneLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageDynInitMenuPaneLL ),
        ENTRY( "TestSettingPagesSetPageHandleResourceChangeL",  
            CTestSDKSettingPages::TestSettingPagesSetPageHandleResourceChangeL ),
        ENTRY( "TestSettingPagesSetPageCountComponentControlsL",  
            CTestSDKSettingPages::TestSettingPagesSetPageCountComponentControlsL ),
        ENTRY( "TestSettingPagesSetPageComponentControlL",  
            CTestSDKSettingPages::TestSettingPagesSetPageComponentControlL ),
        ENTRY( "TestSettingPagesSetPageHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageHandlePointerEventLL ),
        ENTRY( "TestSettingPagesSetPageInputCapabilitiesL",  
            CTestSDKSettingPages::TestSettingPagesSetPageInputCapabilitiesL ),
        ENTRY( "TestSettingPagesSetPageInvalidDataCbaResourceIdL",  
            CTestSDKSettingPages::TestSettingPagesSetPageInvalidDataCbaResourceIdL ),
        ENTRY( "TestSettingPagesSetPageMopSupplyObjectL",  
            CTestSDKSettingPages::TestSettingPagesSetPageMopSupplyObjectL ),
        ENTRY( "TestSettingPagesSetPageWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingPagesSetPageWriteInternalStateLL ),
        ENTRY( "TestSettingPagesSetPageTextLabelL",  
            CTestSDKSettingPages::TestSettingPagesSetPageTextLabelL ),
        ENTRY( "TestSettingPagesSetPageShadowTextL",  
            CTestSDKSettingPages::TestSettingPagesSetPageShadowTextL ),

        //aknslidersettingpage.h
        ENTRY( "TestSettingPagesSliderConstructorL",  
            CTestSDKSettingPages::TestSettingPagesSliderConstructorL ),
        ENTRY( "TestSettingPagesSliderConstructorLL",  
            CTestSDKSettingPages::TestSettingPagesSliderConstructorLL ),
        ENTRY( "TestSettingPagesSliderSliderControlL",  
            CTestSDKSettingPages::TestSettingPagesSliderSliderControlL ),
        ENTRY( "TestSettingPagesSliderConstructLL",  
            CTestSDKSettingPages::TestSettingPagesSliderConstructLL ),
        ENTRY( "TestSettingPagesSliderHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingPagesSliderHandlePointerEventLL ),
        ENTRY( "TestSettingPagesSliderSizeChangedL",  
            CTestSDKSettingPages::TestSettingPagesSliderSizeChangedL ),
        ENTRY( "TestSettingPagesSliderDrawL",  
            CTestSDKSettingPages::TestSettingPagesSliderDrawL ),
        ENTRY( "TestSettingPagesSliderWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingPagesSliderWriteInternalStateLL ),
        ENTRY( "TestSettingPagesSliderDestructL",  
            CTestSDKSettingPages::TestSettingPagesSliderDestructL ),
        ENTRY( "TestSettingPagesSliderUpdateSettingLL",  
            CTestSDKSettingPages::TestSettingPagesSliderUpdateSettingLL ),
        ENTRY( "TestSettingPagesSliderAcceptSettingLL",  
            CTestSDKSettingPages::TestSettingPagesSliderAcceptSettingLL ),
        ENTRY( "TestSettingPagesSliderRestoreOriginalSettingLL",  
            CTestSDKSettingPages::TestSettingPagesSliderRestoreOriginalSettingLL ),
        
        
        //akntextsettingpage.h
            //CAknEdwinSettingPage
        ENTRY( "TestSettingPagesTextEdwinTextControlL",  
            CTestSDKSettingPages::TestSettingPagesTextEdwinTextControlL ),
        ENTRY( "TestSettingPagesTextEdwinHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingPagesTextEdwinHandlePointerEventLL ),
        ENTRY( "TestSettingPagesTextEdwinConstructorL",  
            CTestSDKSettingPages::TestSettingPagesTextEdwinConstructorL ),
        ENTRY( "TestSettingPagesTextEdwinConstructorLL",  
            CTestSDKSettingPages::TestSettingPagesTextEdwinConstructorLL ),
        ENTRY( "TestSettingPagesTextEdwinSizeChangedL",  
            CTestSDKSettingPages::TestSettingPagesTextEdwinSizeChangedL ),
        ENTRY( "TestSettingPagesTextEdwinDrawL",  
            CTestSDKSettingPages::TestSettingPagesTextEdwinDrawL ),
        
            //CAknTextSettingPage
        ENTRY( "TestSettingPagesTextTextConstructorL",  
            CTestSDKSettingPages::TestSettingPagesTextTextConstructorL ),
        ENTRY( "TestSettingPagesTextTextConstructorLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextConstructorLL ),
        ENTRY( "TestSettingPagesTextTextConstructLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextConstructLL ),
        ENTRY( "TestSettingPagesTextTextHandlePointerEventL",  
            CTestSDKSettingPages::TestSettingPagesTextTextHandlePointerEventL ),
        ENTRY( "TestSettingPagesTextTextDestructorL",  
            CTestSDKSettingPages::TestSettingPagesTextTextDestructorL ),
        ENTRY( "TestSettingPagesTextTextDynamicInitLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextDynamicInitLL ),
        ENTRY( "TestSettingPagesTextTextUpdateSettingLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextUpdateSettingLL ),
        ENTRY( "TestSettingPagesTextTextAcceptSettingLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextAcceptSettingLL ),
        ENTRY( "TestSettingPagesTextTextRestoreOriginalSettingLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesTextTextHandleControlEventLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextHandleControlEventLL ),
        ENTRY( "TestSettingPagesTextTextCheckAndSetDataValidityL",  
            CTestSDKSettingPages::TestSettingPagesTextTextCheckAndSetDataValidityL ),
        ENTRY( "TestSettingPagesTextTextUpdateTextLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextUpdateTextLL ),
        ENTRY( "TestSettingPagesTextTextUpdateCbaLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextUpdateCbaLL ),
        ENTRY( "TestSettingPagesTextTextOkToExitLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextOkToExitLL ),
        ENTRY( "TestSettingPagesTextTextOfferKeyEventLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextOfferKeyEventLL ),
        ENTRY( "TestSettingPagesTextTextSizeChangedL",  
            CTestSDKSettingPages::TestSettingPagesTextTextSizeChangedL ),
        ENTRY( "TestSettingPagesTextTextWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingPagesTextTextWriteInternalStateLL ),

            //CAknIntegerSettingPage
        ENTRY( "TestSettingPagesTextIntegerConstructorL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerConstructorL ),
        ENTRY( "TestSettingPagesTextIntegerConstructorLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerConstructorLL ),
        ENTRY( "TestSettingPagesTextIntegerConstructLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerConstructLL ),
        ENTRY( "TestSettingPagesTextIntegerIntegerEditorControlL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerIntegerEditorControlL ),
        ENTRY( "TestSettingPagesTextIntegerHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerHandlePointerEventLL ),
        ENTRY( "TestSettingPagesTextIntegerDynamicInitLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerDynamicInitLL ),
        ENTRY( "TestSettingPagesTextIntegerUpdateSettingLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerUpdateSettingLL ),
        ENTRY( "TestSettingPagesTextIntegerRestoreOriginalSettingLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerRestoreOriginalSettingLL ),
        ENTRY( "TestSettingPagesTextIntegerCheckAndSetDataValidityL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerCheckAndSetDataValidityL ),
        ENTRY( "TestSettingPagesTextIntegerUpdateCbaLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerUpdateCbaLL ),
        ENTRY( "TestSettingPagesTextIntegerHandleControlEventLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerHandleControlEventLL ),
        ENTRY( "TestSettingPagesTextIntegerSizeChangedL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerSizeChangedL ),
        ENTRY( "TestSettingPagesTextIntegerWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingPagesTextIntegerWriteInternalStateLL ),

        //aknvolumesettingpage.h
        ENTRY( "TestSettingPagesVolumeConstructorL",  
            CTestSDKSettingPages::TestSettingPagesVolumeConstructorL ),
        ENTRY( "TestSettingPagesVolumeConstructorLL",  
            CTestSDKSettingPages::TestSettingPagesVolumeConstructorLL ),
        ENTRY( "TestSettingPagesVolumeHandlePointerEventLL",  
            CTestSDKSettingPages::TestSettingPagesVolumeHandlePointerEventLL ),
        ENTRY( "TestSettingPagesVolumeDestructorL",  
            CTestSDKSettingPages::TestSettingPagesVolumeDestructorL ),
        ENTRY( "TestSettingPagesVolumeConstructLL",  
            CTestSDKSettingPages::TestSettingPagesVolumeConstructLL ),
        ENTRY( "TestSettingPagesVolumeVolumeControlL",  
            CTestSDKSettingPages::TestSettingPagesVolumeVolumeControlL ),
        ENTRY( "TestSettingPagesVolumeSizeChangedL",  
            CTestSDKSettingPages::TestSettingPagesVolumeSizeChangedL ),
        ENTRY( "TestSettingPagesVolumeDrawL",  
            CTestSDKSettingPages::TestSettingPagesVolumeDrawL ),
        ENTRY( "TestSettingPagesVolumeWriteInternalStateLL",  
            CTestSDKSettingPages::TestSettingPagesVolumeWriteInternalStateLL ),
        ENTRY( "TestSettingPagesVolumeUpdateSettingLL",  
            CTestSDKSettingPages::TestSettingPagesVolumeUpdateSettingLL ),
        ENTRY( "TestSettingPagesVolumeAcceptSettingLL",  
            CTestSDKSettingPages::TestSettingPagesVolumeAcceptSettingLL ),
        ENTRY( "TestSettingPagesVolumeRestoreOriginalSettingLL",  
            CTestSDKSettingPages::TestSettingPagesVolumeRestoreOriginalSettingLL ),
        // [test cases entries]

        };

    const TInt count = sizeof( KFunctions ) / sizeof( TStifFunctionInfo );

    return RunInternalL( KFunctions, count, aItem );

    }

//  [End of File]

